TAAS - Feature #390

Corporate Receipt
10/17/2024 07:43 PM - Junaid M

Status: Coding Done Start date: 10/17/2024
Priority: Normal Due date:

Assignee: Shilpa Pavithran % Done: 60%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Corporate Receipt

Description

Coding Corporate Receipt

History

#1 - 10/17/2024 07:48 PM - Junaid M

- Assignee set to travvise Admin

#2 - 11/14/2024 05:37 PM - Arathy PS
GUI CHANGE

1. Add a new label Approval status (blue star): empty, approved --- > at original receipt no: place (move it to right)
2. Add title 'approval done from agency side'

3.Status:- [Use same value same as document approval]

Need Agency Approve

Agency Approved

Rejected

Db Implimentation:
1. Create new flat table for temporary storage.

#3 - 12/09/2024 04:20 PM - Anil KV
- Status changed from New to Ready for Coding
- Assignee changed from travvise Admin to Shilpa Pavithran

- % Done changed from 0 to 20

#4 - 12/12/2024 01:52 PM - Anil KV

Tables:-

CREATE TABLE corporate.tbl_corporate_receipt (
pk_corporate_receipt_id BIGSERIAL PRIMARY KEY,
fk_documents_id BIGINT NOT NULL REFERENCES document.tbl_documents(pk_documents_id),

——Master
vhr_payee_name VARCHAR (200) DEFAULT '',
vhr_payee_contact VARCHAR(200) DEFAULT '',

—-Mode
fk_dr_account_id BIGINT NOT NULL REFERENCES accounts.tbl_account (pk_account_id),
sin_mod_of_receipt_type SMALLINT NOT NULL,-- check receipt.tbl_mod_of_receipt
vhr_reference VARCHAR(100),
jsn_mode_details JSON, --*2 Cheque, Card, etc data -> all keys enter below

vhr_ledg_dr_currency VARCHAR (3) NOT NULL,
dbl_ledg_dr_cur_roe DOUBLE PRECISION DEFAULT 1.00,
dbl_ledg_dr_cur_amount DOUBLE PRECISION DEFAULT 0.0,
dbl_ledg_dr_cur_bank_charge DOUBLE PRECISION DEFAULT 0.0,

vhr_base_dr_currency VARCHAR (3) NOT NULL,
dbl_base_dr_cur_amount DOUBLE PRECISION DEFAULT 0.0,
dbl_base_dr_cur_bank_charge DOUBLE PRECISION DEFAULT 0.0,

—-—Party
fk_cr_main_ledger_id BIGINT NOT NULL REFERENCES accounts.tbl_chart_of_ac(pk_chart_of_ac_id),
fk_cr_customer_id BIGINT NOT NULL REFERENCES accounts.tbl_account (pk_account_id),
fk_cr_sub_customer_id BIGINT NULL,
fk_sub_ledger_id BIGINT REFERENCES accounts.tbl_sub_ledger (pk_sub_ledger_id),
fk_actual_customer_ac_id BIGINT NULL REFERENCES accounts.tbl_account (pk_account_id),--*4

vhr_ledg_cr_currency VARCHAR (3) NOT NULL,
dbl_ledg_cr_cur_roe DOUBLE PRECISION DEFAULT 1.00,
dbl_ledg_cr_cur_amount DOUBLE PRECISION DEFAULT 0.0,

vhr_base_cr_currency VARCHAR (3) NOT NULL,
dbl_base_cr_cur_amount DOUBLE PRECISION DEFAULT 0.0,

-— Receipt Approve
vhr_original_receipt_no VARCHAR (30) NOT NULL,
fk_approve_user_id BIGINT NULL REFERENCES authentication.tbl_user (pk_user_id),
dtm_approval TIMESTAMP WITH TIME ZONE,
txt_approval_remarks TEXT DEFAULT '',
sin_approval_status SMALLINT DEFAULT 1--*1

);
receipt.tbl_receipt_master->vhr_corporate_receipt_no

--Note: Approve Mandatory via corporate_receipt_approve

--  Approve then create a Receipt

--  Approve the kep the table last section and document.tbl_doc_approve_log
- Approved then donot delete the Doc

#5 - 12/16/2024 10:34 AM - Shilpa Pavithran
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#6 - 01/02/2025 09:47 AM - Shilpa Pavithran
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60
